Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.ui.popup
Class ReminderListManager

    java.lang.Object
      net.sf.borg.ui.popup.ReminderManager
          net.sf.borg.ui.popup.ReminderListManager

All Implemented Interfaces:
  Model.Listener

    public class ReminderListManager

extends ReminderManager

A Reminder List Manager. This class manages a list of reminder instances and updates that list periodically to hold reminders that are being show or that have been shown and have been hidden by the user. It also reacts to model change events if appointments are deleted. It also manages a ReminderList UI object to show the reminders

Field Summary

Fields inherited from class net.sf.borg.ui.popup.ReminderManager
`doPopupChk, singleton`

Method Summary
`void` | `addToUI(ReminderInstance instance)` show a reminder
`static ReminderManager` | `getReference()` Gets the singleton.
`List<ReminderInstance>` | `getReminders()` get the list of reminder instances
`void` | `hideAll()` Hide the reminder list window
`void` | `periodicUpdate()` update any visible reminders as needed - i.e.
`void` | `refresh()` refresh the popup states depending on the state of the appointment model.
`void` | `remove()` stop the timer and remove all popups
`void` | `showAll()` show the list

Methods inherited from class net.sf.borg.ui.popup.ReminderManager
`getReminderManager, shouldShowUntimedTodosNow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getReference

    public static ReminderManager getReference()

  Gets the singleton.

  Returns:
    the singleton

### addToUI

    public void addToUI(ReminderInstance instance)

  Description copied from class: `ReminderManager`
  show a reminder

  Specified by:
    `addToUI` in class `ReminderManager`
  Parameters:
    `instance` - the reminder instance

### getReminders

    public List<ReminderInstance> getReminders()

  get the list of reminder instances

  Returns:
    the reminder instances

### hideAll

    public void hideAll()

  Hide the reminder list window

  Specified by:
    `hideAll` in class `ReminderManager`

### periodicUpdate

    public void periodicUpdate()

  Description copied from class: `ReminderManager`
  update any visible reminders as needed - i.e. to catch changes due to the passage of time. This is NOT called for model changes.

  Specified by:
    `periodicUpdate` in class `ReminderManager`

### refresh

    public void refresh()

  Description copied from class: `ReminderManager`
  refresh the popup states depending on the state of the appointment model. In particular, clean up any popups that should no longer be shown because of model changes.

  Specified by:
    `refresh` in interface `Model.Listener`
  Specified by:
    `refresh` in class `ReminderManager`

### remove

    public void remove()

  stop the timer and remove all popups

  Overrides:
    `remove` in class `ReminderManager`

### showAll

    public void showAll()

  show the list

  Specified by:
    `showAll` in class `ReminderManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic